Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
suggestlink.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZLinkMain", "Language" )
| $error = new eZINI( "kernel/ezlink/user/intl/" . $Language . "/suggestlink.php.ini", false )
if(isset( $DeleteLinks)) if(isset( $Delete)) if(isset( $Back)) | $Accepted = $ini->variable( "eZLinkMain", "AcceptSuggestedLinks" )
if((isset( $AddImages)) and(is_numeric( $LinkID)) and(is_numeric( $LinkID))) if(isset( $GetSite) && $GetSite) if(isset( $Action) && $Action=="update") if(isset( $Action) && $Action=="insert") | else
| $t
| $languageIni = new eZINI( "kernel/ezlink/user/intl/" . $Language . "/suggestlink.php.ini", false )
| $headline = $languageIni->variable( "strings", "headline_insert" )
| $linkselect = new eZLinkCategory()
| $linkCategoryList =& $linkselect->getTree()
| $action_value = "update"
| $yes_selected = "selected"
| $no_selected = ""
if(isset( $Action) && $Action=="AttributeList") | $link_select_dict = ""
| $catCount = count( $linkCategoryList )
| $i = 0
| $type = new eZLinkType()
| $types = $type->getAll()

## Variable Documentation

## ◆ $Accepted

if (isset($DeleteLinks)) if (isset($Delete)) if (isset($Back)) $Accepted = $ini->variable( "eZLinkMain", "AcceptSuggestedLinks" )

Definition at line 76 of file suggestlink.php.

## ◆ $action_value

$action_value = "update"

Definition at line 374 of file suggestlink.php.

## ◆ $catCount

$catCount = count( $linkCategoryList )

Definition at line 434 of file suggestlink.php.

## ◆ $error

$error = new eZINI( "kernel/ezlink/user/intl/" . $Language . "/suggestlink.php.ini", false )

Definition at line 35 of file suggestlink.php.

## ◆ $headline

$headline = $languageIni->variable( "strings", "headline_insert" )

Definition at line 367 of file suggestlink.php.

## ◆ $i

$i = 0

Definition at line 436 of file suggestlink.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 32 of file suggestlink.php.

## ◆ $Language

$Language = $ini->variable( "eZLinkMain", "Language" )

Definition at line 34 of file suggestlink.php.

## ◆ $languageIni

$languageIni = new eZINI( "kernel/ezlink/user/intl/" . $Language . "/suggestlink.php.ini", false )

Definition at line 366 of file suggestlink.php.

## ◆ $link_select_dict

if (isset($Action) &&$Action=="AttributeList") $link_select_dict = ""

Definition at line 433 of file suggestlink.php.

## ◆ $linkCategoryList

$linkCategoryList =& $linkselect->getTree()

Definition at line 371 of file suggestlink.php.

## ◆ $linkselect

$linkselect = new eZLinkCategory()

Definition at line 369 of file suggestlink.php.

## ◆ $no_selected

$no_selected = ""

Definition at line 386 of file suggestlink.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezlink/user/" . $ini->variable( "eZLinkMain", "TemplateDir" ),
"kernel/ezlink/user/" . "/intl", $Language, "suggestlink.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: suggestlink.php:34
$ini
$ini
Definition: suggestlink.php:32

Definition at line 348 of file suggestlink.php.

## ◆ $type

$type = new eZLinkType()

Definition at line 474 of file suggestlink.php.

## ◆ $types

$types = $type->getAll()

Definition at line 475 of file suggestlink.php.

## ◆ $yes_selected

$yes_selected = "selected"

Definition at line 385 of file suggestlink.php.

## ◆ else

foreach ($types as $typeItem) if (is_a($linkType, "eZLinkType")) if (isset($attributes) &&count($attributes) > 0||!isset($type)) else

Initial value:
{
$linkType = false

Definition at line 334 of file suggestlink.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.